summaryrefslogtreecommitdiff
path: root/network/dbmail/rc.dbmail-lmtpd.new
diff options
context:
space:
mode:
Diffstat (limited to 'network/dbmail/rc.dbmail-lmtpd.new')
-rw-r--r--network/dbmail/rc.dbmail-lmtpd.new54
1 files changed, 54 insertions, 0 deletions
diff --git a/network/dbmail/rc.dbmail-lmtpd.new b/network/dbmail/rc.dbmail-lmtpd.new
new file mode 100644
index 0000000000..34a633d865
--- /dev/null
+++ b/network/dbmail/rc.dbmail-lmtpd.new
@@ -0,0 +1,54 @@
+#!/bin/sh
+#
+# DBMail-lmtpd startup script for Slackware Linux
+
+SERVICE='/usr/sbin/dbmail-lmtpd'
+OPTS=''
+PIDDIR='/var/run/dbmail'
+PID="${PIDDIR}/dbmail-lmtpd.pid"
+USER='mail'
+GROUP='mail'
+
+service_start() {
+ if [ ! -d "$PIDDIR" ]; then
+ mkdir "$PIDDIR"
+ chown ${USER}:${GROUP} "$PIDDIR"
+ fi
+
+ if [ -f "$PID" ]; then
+ echo "PID-file exist, refusing to run ${SERVICE}."
+ exit 1
+ fi
+
+ $SERVICE "$OPTS"
+}
+
+service_stop() {
+ if [ -f "$PID" ]; then
+ kill $(< $PID)
+ else
+ echo "No PID-file at $PID found, quitting."
+ exit 1
+ fi
+}
+
+service_restart() {
+ service_stop
+ sleep 1
+ service_start
+}
+
+case "$1" in
+ start)
+ service_start
+ ;;
+ stop)
+ service_stop
+ ;;
+ restart)
+ service_restart
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac